データベースのプロパティの変更(互換エイリアス)(V2)
This compatibility alias alters the properties of a database. It uses the same server handler as /v2/vectordb/databases/alter.
POST/v2/vectordb/databases/alter_properties
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
📘ノート
- サービング クラスターを使用している場合は、クラスター エンドポイントを使用します。
無料 & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API キー、または ユーザー名とパスワードをコロンで連結したペア(例: username:password)である必要があります。プロジェクト エンドポイントを使用している場合、十分な権限を持つ有効な API キーのみが適用されます。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
dbNamestring必要
変更するデータベースの名前。
propertiesobject
データベースに設定するプロパティ(キーと値のペア)。
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/databases/alter_properties" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "my_database",
"properties": {
"database.replica.number": "2"
}
}'
レスポンス200 OK - application/json
なし
codeinteger
レスポンス コード。
dataobject
エラー メッセージを返します。
codeinteger
レスポンス コード。
messagestring
エラー メッセージ。
Successjson
{
"code": 0,
"data": {}
}